com.ihr.xbrl.manage

## Enum DbUtil.Database

- java.lang.Object
- - java.lang.Enum<DbUtil.Database>
  - - com.ihr.xbrl.manage.DbUtil.Database

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DbUtil.Database>
  Enclosing class:
    DbUtil

      public static enum DbUtil.Database
      extends java.lang.Enum<DbUtil.Database>

  Enumerates the different database engines the storage subsystem can work with. Added support for IBM DB2 (2013-07-02)
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DB2` The D b2.
    `ORACLE` The oracle.
    `POSTGRESQL` The postgresql.
    `SQL_SERVER` The sql server.
    `UNKOWN` The unkown.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DbUtil.Database` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DbUtil.Database[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKOWN

          public static final DbUtil.Database UNKOWN

      The unkown.

    - #### POSTGRESQL

          public static final DbUtil.Database POSTGRESQL

      The postgresql.

    - #### SQL_SERVER

          public static final DbUtil.Database SQL_SERVER

      The sql server.

    - #### ORACLE

          public static final DbUtil.Database ORACLE

      The oracle.

    - #### DB2

          public static final DbUtil.Database DB2

      The D b2.

  - ### Method Detail

    - #### values

          public static DbUtil.Database[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DbUtil.Database c : DbUtil.Database.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DbUtil.Database valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null